<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'lavalite',

    /*
     * Package.
     */
    'package'   => 'marketplace',

    /*
     * Modules.
     */
    'modules'   => ['marketplace', 
'category', 
'review'],

    'marketplace'       => [
        'model' => [
            'model'                 => \Lavalite\Marketplace\Models\Marketplace::class,
            'table'                 => 'marketplaces',
            'presenter'             => \Lavalite\Marketplace\Repositories\Presenter\MarketplacePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'category_id',  'user_id',  'user_type',  'name',  'title',  'slug',  'subtitle',  'description',  'features',  'downloads',  'versions',  'type',  'licence',  'licence_period',  'price',  'tags',  'rating',  'benefits',  'images',  'additional_images',  'documentation',  'extension_files',  'extension_history',  'published',  'status',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'marketplace/marketplace',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Lavalite',
            'package'   => 'Marketplace',
            'module'    => 'Marketplace',
        ],

    ],

    'category'       => [
        'model' => [
            'model'                 => \Lavalite\Marketplace\Models\Category::class,
            'table'                 => 'categories',
            'presenter'             => \Lavalite\Marketplace\Repositories\Presenter\CategoryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'slug',  'status',  'user_id',  'user_type',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'marketplace/category',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Lavalite',
            'package'   => 'Marketplace',
            'module'    => 'Category',
        ],

    ],

    'review'       => [
        'model' => [
            'model'                 => \Lavalite\Marketplace\Models\Review::class,
            'table'                 => 'reviews',
            'presenter'             => \Lavalite\Marketplace\Repositories\Presenter\ReviewPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'comment',  'author',  'email',  'mobile',  'slug',  'published',  'user_id',  'user_type',  'package_id',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'marketplace/review',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Lavalite',
            'package'   => 'Marketplace',
            'module'    => 'Review',
        ],

    ],
];
