<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateMarketplacesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: marketplaces
         */
        Schema::create('marketplaces', function ($table) {
            $table->increments('id');
            $table->integer('category_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->text('user_type')->nullable();
            $table->string('name', 255)->nullable();
            $table->string('title', 255)->nullable();
            $table->string('slug', 255)->nullable();
            $table->string('subtitle', 255)->nullable();
            $table->string('description', 255)->nullable();
            $table->string('features', 255)->nullable();
            $table->string('downloads', 255)->nullable();
            $table->string('versions', 255)->nullable();
            $table->enum('type', ['package','theme'])->nullable();
            $table->enum('licence', ['Free','Paid'])->nullable();
            $table->string('licence_period', 255)->nullable();
            $table->increments('price')->nullable();
            $table->string('tags', 255)->nullable();
            $table->string('rating', 255)->nullable();
            $table->string('benefits', 255)->nullable();
            $table->string('images', 255)->nullable();
            $table->string('additional_images', 255)->nullable();
            $table->string('documentation', 255)->nullable();
            $table->string('extension_files', 255)->nullable();
            $table->string('extension_history', 255)->nullable();
            $table->enum('published', ['yes','no','pending'])->nullable();
            $table->enum('status', ['show','hide'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('marketplaces');
    }
}
