<?php

namespace Lavalite\Marketplace;

use User;

class Marketplace
{
    /**
     * $marketplace object.
     */
    protected $marketplace;
    /**
     * $category object.
     */
    protected $category;
    /**
     * $review object.
     */
    protected $review;

    /**
     * Constructor.
     */
    public function __construct(\Lavalite\Marketplace\Interfaces\MarketplaceRepositoryInterface $marketplace,
        \Lavalite\Marketplace\Interfaces\CategoryRepositoryInterface $category,
        \Lavalite\Marketplace\Interfaces\ReviewRepositoryInterface $review)
    {
        $this->marketplace = $marketplace;
        $this->category = $category;
        $this->review = $review;
    }

    /**
     * Returns count of marketplace.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.marketplace.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->marketplace->pushCriteria(new \Litepie\Lavalite\Repositories\Criteria\MarketplaceUserCriteria());
        }

        $marketplace = $this->marketplace->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('marketplace::' . $view, compact('marketplace'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.category.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->category->pushCriteria(new \Litepie\Lavalite\Repositories\Criteria\CategoryUserCriteria());
        }

        $category = $this->category->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('marketplace::' . $view, compact('category'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.review.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->review->pushCriteria(new \Litepie\Lavalite\Repositories\Criteria\ReviewUserCriteria());
        }

        $review = $this->review->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('marketplace::' . $view, compact('review'))->render();
    }
}
