<?php

namespace Lavalite\Marketplace\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Revision\Traits\Revision;
use Litepie\Trans\Traits\Translatable;
class Marketplace extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, Revision, PresentableTrait;


    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'lavalite.marketplace.marketplace.model';


    /**
     * The category that belong to the marketplace.
     */
    public function category(){
        return $this->belongsTo('Marketplace\Marketplace\Models\Category');
    }


    /**
     * The reviews that belong to the marketplace.
     */
    public function reviews(){
        return $this->hasMany('Marketplace\Marketplace\Models\Review');
    }
}
