<?php

namespace Lavalite\Marketplace\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Marketplace policy
        'Lavalite\Marketplace\Models\Marketplace' => \Lavalite\Marketplace\Policies\MarketplacePolicy::class,
// Bind Category policy
        'Lavalite\Marketplace\Models\Category' => \Lavalite\Marketplace\Policies\CategoryPolicy::class,
// Bind Review policy
        'Lavalite\Marketplace\Models\Review' => \Lavalite\Marketplace\Policies\ReviewPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
