<?php

namespace Lavalite\Marketplace\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MarketplaceTransformer extends TransformerAbstract
{
    public function transform(\Lavalite\Marketplace\Models\Marketplace $marketplace)
    {
        return [
            'id'                => $marketplace->getRouteKey(),
            'key'               => [
                'public'    => $marketplace->getPublicKey(),
                'route'     => $marketplace->getRouteKey(),
            ], 
            'id'                => $marketplace->id,
            'category_id'       => $marketplace->category_id,
            'user_id'           => $marketplace->user_id,
            'user_type'         => $marketplace->user_type,
            'name'              => $marketplace->name,
            'title'             => $marketplace->title,
            'slug'              => $marketplace->slug,
            'subtitle'          => $marketplace->subtitle,
            'description'       => $marketplace->description,
            'features'          => $marketplace->features,
            'downloads'         => $marketplace->downloads,
            'versions'          => $marketplace->versions,
            'type'              => $marketplace->type,
            'licence'           => $marketplace->licence,
            'licence_period'    => $marketplace->licence_period,
            'price'             => $marketplace->price,
            'tags'              => $marketplace->tags,
            'rating'            => $marketplace->rating,
            'benefits'          => $marketplace->benefits,
            'images'            => $marketplace->images,
            'additional_images' => $marketplace->additional_images,
            'documentation'     => $marketplace->documentation,
            'extension_files'   => $marketplace->extension_files,
            'extension_history' => $marketplace->extension_history,
            'published'         => $marketplace->published,
            'status'            => $marketplace->status,
            'created_at'        => $marketplace->created_at,
            'updated_at'        => $marketplace->updated_at,
            'deleted_at'        => $marketplace->deleted_at,
            'url'               => [
                'public'    => trans_url('marketplace/'.$marketplace->getPublicKey()),
                'user'      => guard_url('marketplace/marketplace/'.$marketplace->getRouteKey()),
            ], 
            'status'            => trans('app.'.$marketplace->status),
            'created_at'        => format_date($marketplace->created_at),
            'updated_at'        => format_date($marketplace->updated_at),
        ];
    }
}