<?php

namespace Lavalite\Marketplace\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ReviewTransformer extends TransformerAbstract
{
    public function transform(\Lavalite\Marketplace\Models\Review $review)
    {
        return [
            'id'                => $review->getRouteKey(),
            'key'               => [
                'public'    => $review->getPublicKey(),
                'route'     => $review->getRouteKey(),
            ], 
            'id'                => $review->id,
            'comment'           => $review->comment,
            'author'            => $review->author,
            'email'             => $review->email,
            'mobile'            => $review->mobile,
            'slug'              => $review->slug,
            'published'         => $review->published,
            'user_id'           => $review->user_id,
            'user_type'         => $review->user_type,
            'package_id'        => $review->package_id,
            'created_at'        => $review->created_at,
            'updated_at'        => $review->updated_at,
            'deleted_at'        => $review->deleted_at,
            'url'               => [
                'public'    => trans_url('marketplace/'.$review->getPublicKey()),
                'user'      => guard_url('marketplace/review/'.$review->getRouteKey()),
            ], 
            'status'            => trans('app.'.$review->status),
            'created_at'        => format_date($review->created_at),
            'updated_at'        => format_date($review->updated_at),
        ];
    }
}